> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/ipn-for-sellers/refund-ipn.md).

# Refund IPN

When a refund of any of your account transaction happens, Explodely.com sends a REFUND type IPN to your IPN listener instantly (or refund IPN listner if set separately within your account). The following parameters are sent to your IPN listener.

orderid => order ID of the Explodely.com sale transaction

\
type => refund

\
productId => Explodely.com Product ID of the transaction

\
customerName => Customer Full Name

\
customerEmail => Customer Email

\
customerPhone => Customer Phone Number

\
affiliate => Explodely.com affiliate ID (if any else its blank)

\
amount => Amount of refund (in negative)

\
refundtimedate => Refund Time & Date In Format HH:MM:SS DD-MMM-YYYY

\
refundtimestamp => Machine timestamp of refund

\
zipcode => ZIP Code of a customer

\
country => Country Code (2 Digit ISO) Of The Customer

\
billdesc => Descriptor For The Customer Charge

\
custom1 => Custom parameter 1 value

\
custom2 => Custom parameter 2 value

\
custom3 => Custom parameter 3 value

\
custom4 => Custom parameter 4 value

\
custom5 => Custom parameter 5 value<br>

The custom1, custom2, custom3, custom4 and custom5 parameters will only be sent with the refund IPN if these were sent with the sale IPN. If not, these will be just blank.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/ipn-for-sellers/refund-ipn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
